Do you think I should move to PHP 7?

Hello,
Website: http://yourtechadvisors.com
Do you think it is safe enough to move to PHP7 yet? I am kind of concerned with my plugins not being compatible, but from what I can tell, they don't seem to be out of date. Any thoughts welcome.

Thanks.